Contents

# Blue Function

Returns the blue component of the specified composite color code.

### Syntax:

    Blue (Color As Long)

### Return value:

عدد صحيح

### Parameters:

Color value: Long integer expression that specifies any composite color code for which to return the blue component.

Under VBA compatibility mode (Option VBASupport 1), the function Blue() is incompatible with VBA colors, when color from previous call to function RGB [VBA] is passed.

### Error codes:

5 Invalid procedure call

The color picker dialog details the red, green and blue components of a composite color code, as well as its hexadecimal expression. Changing the color of text and selecting Custom color displays the color picker dialog.

### Example:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "The color " & lVar & " consists of:" & Chr(13) &_
            "red= " & Red(lVar) & Chr(13)&_
            "green= " & Green(lVar) & Chr(13)&_
            "blue= " & Blue(lVar) & Chr(13) , 64,"colors"
    End Sub